Lyrics / Inspo / Sounds / Tags
curl --request POST \
--url https://toapis.com/v1/music/generations/lyrics \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": "<string>",
"lyrics_model": "<string>",
"audio_urls": [
{}
],
"max_mode": true,
"type": "<string>",
"bpm": 123,
"key": "<string>",
"tags": "<string>"
}
'import requests
url = "https://toapis.com/v1/music/generations/lyrics"
payload = {
"model": "<string>",
"prompt": "<string>",
"lyrics_model": "<string>",
"audio_urls": [{}],
"max_mode": True,
"type": "<string>",
"bpm": 123,
"key": "<string>",
"tags": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
prompt: '<string>',
lyrics_model: '<string>',
audio_urls: [{}],
max_mode: true,
type: '<string>',
bpm: 123,
key: '<string>',
tags: '<string>'
})
};
fetch('https://toapis.com/v1/music/generations/lyrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>",
"status": "<string>"
}Suno Music
Lyrics / Inspo / Sounds / Tags
lyrics generation, inspo reference-audio generation, sounds effects, upsampleTags expansion
POST
/
v1
/
music
/
generations
/
lyrics
Lyrics / Inspo / Sounds / Tags
POST https://toapis.com/v1/music/generations/{operation}
string
required
Fixed
"suno"lyrics — lyrics generation ($0.008)
string
required
Theme or topic description
string
Lyrics model:
classic / remi (optional)curl --request POST \
--url https://toapis.com/v1/music/generations/lyrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{"model":"suno","prompt":"a song about summer by the sea"}'
inspo — inspired generation (0.068,Max0.136)
Generate a new song inspired by 1-4 reference tracks.array
required
1-4 public audio URLs
boolean
Max tier (no
custom field; applies directly)Do not send
custom; the upstream rejects it.sounds — sound effects ($0.0096)
string
required
Effect description
string
Effect type
number
Tempo (range 1-300)
string
Musical key
upsampleTags — tag expansion ($0.004)
Expand a short style tag into a detailed style description.string
required
Style tags, e.g.
"lo-fi chill beats"curl --request POST \
--url https://toapis.com/v1/music/generations/upsampleTags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{"model":"suno","tags":"lo-fi chill beats"}'
Response
string
Task ID
string
submitted